package jp.ossc.petstore.dto.functiondto;

import java.util.List;
import jp.ossc.petstore.model.Product;

/**
 * ProductFunctionDTO
 * @author ossc
 * @version $Revision: 1.2 $
 */
public class ProductFunctionDTO extends FunctionDTO {

	/**
	 * カテゴリＩＤ
	 */
	private String categoryId = null;
	
	/**
	 * 商品ＩＤ
	 */
	private String productId = null;
	
	/**
	 * 商品情報
	 */
	private Product product = null;

	/**
	 * 商品情報リスト
	 */
	private List productList = null;


	/**
	 * カテゴリＩＤ取得
	 * @return カテゴリＩＤ
	 */
	public String getCategoryId() {
		return categoryId;
	}

	/**
	 * カテゴリＩＤ設定
	 * @param categoryId カテゴリＩＤ
	 */
	public void setCategoryId(String categoryId) {
		this.categoryId = categoryId;
	}

	/**
	 * 商品ＩＤ取得
	 * @return 商品ＩＤ
	 */
	public String getProductId() {
		return productId;
	}

	/**
	 * 商品ＩＤ設定
	 * @param productId 商品ＩＤ
	 */
	public void setProductId(String productId) {
		this.productId = productId;
	}

	/**
	 * 商品情報取得
	 * @return 商品情報
	 */
	public Product getProduct() {
		return product;
	}

	/**
	 * 商品情報設定
	 * @param product 商品情報
	 */
	public void setProduct(Product product) {
		this.product = product;
	}

	/**
	 * 商品情報リスト取得
	 * @return 商品情報リスト
	 */
	public List getProductList() {
		return productList;
	}

	/**
	 * 商品情報リスト設定
	 * @param productList 商品情報リスト
	 */
	public void setProductList(List productList) {
		this.productList = productList;
	}

}
